My Project: dgCollisionMesh Class Reference

My Project

Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
dgCollisionMesh Class Referenceabstract

`#include <dgCollisionMesh.h>`

Inheritance diagram for dgCollisionMesh:

## Classes

class | dgMeshVertexListIndexList

## Public Member Functions

| dgCollisionMesh (dgWorld *const world, dgCollisionID type)
| dgCollisionMesh (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollisionMesh ()
virtual dgFloat32 | GetVolume () const
virtual dgFloat32 | GetBoxMinRadius () const
virtual dgFloat32 | GetBoxMaxRadius () const
virtual void | GetVertexListIndexList (const dgVector &p0, const dgVector &p1, dgMeshVertexListIndexList &data) const =0
virtual void | GetCollidingFaces (dgPolygonMeshDesc *const data) const =0
void | SetDebugCollisionCallback (dgCollisionMeshCollisionCallback debugCallback)
dgCollisionMeshCollisionCallback | GetDebugCollisionCallback () const
Public Member Functions inherited from dgCollision
dgInt32 | IsType (dgRTTI type) const
dgUnsigned32 | GetSignature () const
dgCollisionID | GetCollisionPrimityType () const
virtual void | MassProperties ()
virtual dgFloat32 | CalculateMassProperties (const dgMatrix &offset, dgVector &inertia, dgVector &crossInertia, dgVector &centerOfMass) const
virtual dgMatrix | CalculateInertiaAndCenterOfMass (const dgMatrix &m_alignMatrix, const dgVector &localScale, const dgMatrix &matrix) const
virtual dgFloat32 | GetSkinThickness () const
virtual void | SerializeLow (dgSerialize callback, void *const userData) const
virtual dgInt32 | GetConvexVertexCount () const
const dgCollision * | AddRef () const
dgInt32 | GetRefCount () const
virtual dgInt32 | Release () const
const dgVector & | GetObbOrigin () const
virtual dgVector | GetObbSize () const
dgFloat32 | GetUmbraClipSize () const
dgMemoryAllocator * | GetAllocator () const

## Public Attributes

DG_MSC_VECTOR_ALIGMENT class dgCollisionMesh::dgMeshVertexListIndexList | DG_GCC_VECTOR_ALIGMENT

## Protected Member Functions

virtual void | SetCollisionBBox (const dgVector &p0, const dgVector &p1)
Protected Member Functions inherited from dgCollision
| dgCollision (const dgCollision &source)
| dgCollision (dgMemoryAllocator *const allocator, dgUnsigned32 signature, dgCollisionID id)
| dgCollision (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollision ()
void | SetSignature (dgInt32 signature)

## Protected Attributes

dgCollisionMeshCollisionCallback | m_debugCallback
Protected Attributes inherited from dgCollision
dgVector | m_inertia
dgVector | m_crossInertia
dgVector | m_centerOfMass
dgVector | m_boxSize
dgVector | m_boxOrigin
dgInt32 | m_rtti
dgInt32 | m_refCount
dgUnsigned32 | m_signature
dgCollisionID | m_collisionId
dgMemoryAllocator * | m_allocator

## Friends

class | dgWorld
class | dgCollisionInstance

## Additional Inherited Members

Public Types inherited from dgCollision

enum

dgRTTI {
dgCollisionNull_RTTI = 1<<0, dgCollisionBox_RTTI = 1<<1, dgCollisionCone_RTTI = 1<<2, dgCollisionSphere_RTTI = 1<<3,
dgCollisionCapsule_RTTI = 1<<4, dgCollisionCylinder_RTTI = 1<<5, dgCollisionConvexHull_RTTI = 1<<6, dgCollisionTaperedCapsule_RTTI = 1<<7,
dgCollisionTaperedCylinder_RTTI = 1<<8, dgCollisionChamferCylinder_RTTI = 1<<9, dgCollisionConvexPolygon_RTTI = 1<<10, dgCollisionConvexShape_RTTI = 1<<11,
dgCollisionCompound_RTTI = 1<<12, dgCollisionBVH_RTTI = 1<<13, dgCollisionMesh_RTTI = 1<<14, dgCollisionDeformableMesh_RTTI = 1<<15,
dgCollisionDeformableSolidMesh_RTTI = 1<<16, dgCollisionDeformableClothPatch_RTTI = 1<<17, dgCollisionUserMesh_RTTI = 1<<18, dgCollisionHeightField_RTTI = 1<<19,
dgCollisionScene_RTTI = 1<<20, dgCollisionCompoundBreakable_RTTI = 1<<21
}

typedef void(dgApi * | OnDebugCollisionMeshCallback) (void *userData, int vertexCount, const dgFloat32 *FaceArray, int faceId)
Static Public Member Functions inherited from dgCollision
static dgUnsigned32 | Quantize (dgFloat32 value)
static dgUnsigned32 | Quantize (void *buffer, int size)

## Constructor & Destructor Documentation

## § dgCollisionMesh() [1/2]

dgCollisionMesh::dgCollisionMesh | ( | dgWorld *const | world,
|  | dgCollisionID | type
| ) |  |

## § dgCollisionMesh() [2/2]

dgCollisionMesh::dgCollisionMesh | ( | dgWorld *const | world,
|  | dgDeserialize | deserialization,
|  | void *const | userData
| ) |  |

## § ~dgCollisionMesh()

dgCollisionMesh::~dgCollisionMesh | ( |  | ) |

virtual

## Member Function Documentation

## § GetBoxMaxRadius()

dgFloat32 dgCollisionMesh::GetBoxMaxRadius | ( |  | ) | const

virtual

Implements dgCollision.

## § GetBoxMinRadius()

dgFloat32 dgCollisionMesh::GetBoxMinRadius | ( |  | ) | const

virtual

Implements dgCollision.

## § GetCollidingFaces()

virtual void dgCollisionMesh::GetCollidingFaces | ( | dgPolygonMeshDesc *const | data | ) | const

pure virtual

## § GetDebugCollisionCallback()

dgCollisionMeshCollisionCallback dgCollisionMesh::GetDebugCollisionCallback | ( |  | ) | const

inline

## § GetVertexListIndexList()

virtual void dgCollisionMesh::GetVertexListIndexList | ( | const dgVector & | p0,
|  | const dgVector & | p1,
|  | dgMeshVertexListIndexList & | data
| ) |  | const

pure virtual

Implemented in dgCollisionBVH, and dgCollisionUserMesh.

## § GetVolume()

dgFloat32 dgCollisionMesh::GetVolume | ( |  | ) | const

virtual

Implements dgCollision.

## § SetCollisionBBox()

void dgCollisionMesh::SetCollisionBBox | ( | const dgVector & | p0,
|  | const dgVector & | p1
| ) |  |

protectedvirtual

Implements dgCollision.

## § SetDebugCollisionCallback()

void dgCollisionMesh::SetDebugCollisionCallback | ( | dgCollisionMeshCollisionCallback | debugCallback | ) |

## Friends And Related Function Documentation

## § dgCollisionInstance

friend class dgCollisionInstance

friend

## § dgWorld

friend class dgWorld

friend

## Member Data Documentation

## § DG_GCC_VECTOR_ALIGMENT

DG_MSC_VECTOR_ALIGMENT class dgCollisionMesh::dgMeshVertexListIndexList dgCollisionMesh::DG_GCC_VECTOR_ALIGMENT

## § m_debugCallback

dgCollisionMeshCollisionCallback dgCollisionMesh::m_debugCallback

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionMesh.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionMesh.cpp